Generation Framework

## org.eclipse.gmf.codegen.gmfgen.util
Class GMFGenAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.codegen.gmfgen.util.GMFGenAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  GMFGenItemProviderAdapterFactory

    public class GMFGenAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `GMFGenPackage`
** Generated **

Field Summary
`protected static GMFGenPackage` `modelPackage` The cached model package
`protected GMFGenSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch the delegates to the `createXXX` methods

Constructor Summary
`GMFGenAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAbstractToolEntryAdapter()` Creates a new adapter for an object of class '`Abstract Tool Entry`'
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createAttributesAdapter()` Creates a new adapter for an object of class '`Attributes`'
`org.eclipse.emf.common.notify.Adapter` `createBatchValidationAdapter()` Creates a new adapter for an object of class '`Batch Validation`'
`org.eclipse.emf.common.notify.Adapter` `createBehaviourAdapter()` Creates a new adapter for an object of class '`Behaviour`'
`org.eclipse.emf.common.notify.Adapter` `createColorAttributesAdapter()` Creates a new adapter for an object of class '`Color Attributes`'
`org.eclipse.emf.common.notify.Adapter` `createCustomBehaviourAdapter()` Creates a new adapter for an object of class '`Custom Behaviour`'
`org.eclipse.emf.common.notify.Adapter` `createCustomTabFilterAdapter()` Creates a new adapter for an object of class '`Custom Tab Filter`'
`org.eclipse.emf.common.notify.Adapter` `createDefaultSizeAttributesAdapter()` Creates a new adapter for an object of class '`Default Size Attributes`'
`org.eclipse.emf.common.notify.Adapter` `createDesignLabelModelFacetAdapter()` Creates a new adapter for an object of class '`Design Label Model Facet`'
`org.eclipse.emf.common.notify.Adapter` `createEditorCandiesAdapter()` Creates a new adapter for an object of class '`Editor Candies`'
`org.eclipse.emf.common.notify.Adapter` `createEditPartCandiesAdapter()` Creates a new adapter for an object of class '`Edit Part Candies`'
`org.eclipse.emf.common.notify.Adapter` `createElementTypeAdapter()` Creates a new adapter for an object of class '`Element Type`'
`org.eclipse.emf.common.notify.Adapter` `createEntryBaseAdapter()` Creates a new adapter for an object of class '`Entry Base`'
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createFeatureLabelModelFacetAdapter()` Creates a new adapter for an object of class '`Feature Label Model Facet`'
`org.eclipse.emf.common.notify.Adapter` `createFeatureLinkModelFacetAdapter()` Creates a new adapter for an object of class '`Feature Link Model Facet`'
`org.eclipse.emf.common.notify.Adapter` `createFigureViewmapAdapter()` Creates a new adapter for an object of class '`Figure Viewmap`'
`org.eclipse.emf.common.notify.Adapter` `createGenActionFactoryContributionItemAdapter()` Creates a new adapter for an object of class '`Gen Action Factory Contribution Item`'
`org.eclipse.emf.common.notify.Adapter` `createGenApplicationAdapter()` Creates a new adapter for an object of class '`Gen Application`'
`org.eclipse.emf.common.notify.Adapter` `createGenAuditableAdapter()` Creates a new adapter for an object of class '`Gen Auditable`'
`org.eclipse.emf.common.notify.Adapter` `createGenAuditContainerAdapter()` Creates a new adapter for an object of class '`Gen Audit Container`'
`org.eclipse.emf.common.notify.Adapter` `createGenAuditedMetricTargetAdapter()` Creates a new adapter for an object of class '`Gen Audited Metric Target`'
`org.eclipse.emf.common.notify.Adapter` `createGenAuditRootAdapter()` Creates a new adapter for an object of class '`Gen Audit Root`'
`org.eclipse.emf.common.notify.Adapter` `createGenAuditRuleAdapter()` Creates a new adapter for an object of class '`Gen Audit Rule`'
`org.eclipse.emf.common.notify.Adapter` `createGenChildContainerAdapter()` Creates a new adapter for an object of class '`Gen Child Container`'
`org.eclipse.emf.common.notify.Adapter` `createGenChildLabelNodeAdapter()` Creates a new adapter for an object of class '`Gen Child Label Node`'
`org.eclipse.emf.common.notify.Adapter` `createGenChildNodeAdapter()` Creates a new adapter for an object of class '`Gen Child Node`'
`org.eclipse.emf.common.notify.Adapter` `createGenChildSideAffixedNodeAdapter()` Creates a new adapter for an object of class '`Gen Child Side Affixed Node`'
`org.eclipse.emf.common.notify.Adapter` `createGenColorAdapter()` Creates a new adapter for an object of class '`Gen Color`'
`org.eclipse.emf.common.notify.Adapter` `createGenCommonBaseAdapter()` Creates a new adapter for an object of class '`Gen Common Base`'
`org.eclipse.emf.common.notify.Adapter` `createGenCompartmentAdapter()` Creates a new adapter for an object of class '`Gen Compartment`'
`org.eclipse.emf.common.notify.Adapter` `createGenConstantColorAdapter()` Creates a new adapter for an object of class '`Gen Constant Color`'
`org.eclipse.emf.common.notify.Adapter` `createGenConstraintAdapter()` Creates a new adapter for an object of class '`Gen Constraint`'
`org.eclipse.emf.common.notify.Adapter` `createGenContainerBaseAdapter()` Creates a new adapter for an object of class '`Gen Container Base`'
`org.eclipse.emf.common.notify.Adapter` `createGenContributionItemAdapter()` Creates a new adapter for an object of class '`Gen Contribution Item`'
`org.eclipse.emf.common.notify.Adapter` `createGenContributionManagerAdapter()` Creates a new adapter for an object of class '`Gen Contribution Manager`'
`org.eclipse.emf.common.notify.Adapter` `createGenCustomFontAdapter()` Creates a new adapter for an object of class '`Gen Custom Font`'
`org.eclipse.emf.common.notify.Adapter` `createGenCustomPreferencePageAdapter()` Creates a new adapter for an object of class '`Gen Custom Preference Page`'
`org.eclipse.emf.common.notify.Adapter` `createGenCustomPropertyTabAdapter()` Creates a new adapter for an object of class '`Gen Custom Property Tab`'
`org.eclipse.emf.common.notify.Adapter` `createGenDiagramAdapter()` Creates a new adapter for an object of class '`Gen Diagram`'
`org.eclipse.emf.common.notify.Adapter` `createGenDiagramElementTargetAdapter()` Creates a new adapter for an object of class '`Gen Diagram Element Target`'
`org.eclipse.emf.common.notify.Adapter` `createGenDiagramPreferencesAdapter()` Creates a new adapter for an object of class '`Gen Diagram Preferences`'
`org.eclipse.emf.common.notify.Adapter` `createGenDiagramUpdaterAdapter()` Creates a new adapter for an object of class '`Gen Diagram Updater`'
`org.eclipse.emf.common.notify.Adapter` `createGenDomainAttributeTargetAdapter()` Creates a new adapter for an object of class '`Gen Domain Attribute Target`'
`org.eclipse.emf.common.notify.Adapter` `createGenDomainElementTargetAdapter()` Creates a new adapter for an object of class '`Gen Domain Element Target`'
`org.eclipse.emf.common.notify.Adapter` `createGenDomainModelNavigatorAdapter()` Creates a new adapter for an object of class '`Gen Domain Model Navigator`'
`org.eclipse.emf.common.notify.Adapter` `createGenEditorGeneratorAdapter()` Creates a new adapter for an object of class '`Gen Editor Generator`'
`org.eclipse.emf.common.notify.Adapter` `createGenEditorViewAdapter()` Creates a new adapter for an object of class '`Gen Editor View`'
`org.eclipse.emf.common.notify.Adapter` `createGenElementInitializerAdapter()` Creates a new adapter for an object of class '`Gen Element Initializer`'
`org.eclipse.emf.common.notify.Adapter` `createGenExpressionInterpreterAdapter()` Creates a new adapter for an object of class '`Gen Expression Interpreter`'
`org.eclipse.emf.common.notify.Adapter` `createGenExpressionProviderBaseAdapter()` Creates a new adapter for an object of class '`Gen Expression Provider Base`'
`org.eclipse.emf.common.notify.Adapter` `createGenExpressionProviderContainerAdapter()` Creates a new adapter for an object of class '`Gen Expression Provider Container`'
`org.eclipse.emf.common.notify.Adapter` `createGenExternalNodeLabelAdapter()` Creates a new adapter for an object of class '`Gen External Node Label`'
`org.eclipse.emf.common.notify.Adapter` `createGenFeatureInitializerAdapter()` Creates a new adapter for an object of class '`Gen Feature Initializer`'
`org.eclipse.emf.common.notify.Adapter` `createGenFeatureSeqInitializerAdapter()` Creates a new adapter for an object of class '`Gen Feature Seq Initializer`'
`org.eclipse.emf.common.notify.Adapter` `createGenFeatureValueSpecAdapter()` Creates a new adapter for an object of class '`Gen Feature Value Spec`'
`org.eclipse.emf.common.notify.Adapter` `createGenFontAdapter()` Creates a new adapter for an object of class '`Gen Font`'
`org.eclipse.emf.common.notify.Adapter` `createGenGroupMarkerAdapter()` Creates a new adapter for an object of class '`Gen Group Marker`'
`org.eclipse.emf.common.notify.Adapter` `createGenJavaExpressionProviderAdapter()` Creates a new adapter for an object of class '`Gen Java Expression Provider`'
`org.eclipse.emf.common.notify.Adapter` `createGenLabelAdapter()` Creates a new adapter for an object of class '`Gen Label`'
`org.eclipse.emf.common.notify.Adapter` `createGenLinkAdapter()` Creates a new adapter for an object of class '`Gen Link`'
`org.eclipse.emf.common.notify.Adapter` `createGenLinkConstraintsAdapter()` Creates a new adapter for an object of class '`Gen Link Constraints`'
`org.eclipse.emf.common.notify.Adapter` `createGenLinkLabelAdapter()` Creates a new adapter for an object of class '`Gen Link Label`'
`org.eclipse.emf.common.notify.Adapter` `createGenMeasurableAdapter()` Creates a new adapter for an object of class '`Gen Measurable`'
`org.eclipse.emf.common.notify.Adapter` `createGenMenuManagerAdapter()` Creates a new adapter for an object of class '`Gen Menu Manager`'
`org.eclipse.emf.common.notify.Adapter` `createGenMetricContainerAdapter()` Creates a new adapter for an object of class '`Gen Metric Container`'
`org.eclipse.emf.common.notify.Adapter` `createGenMetricRuleAdapter()` Creates a new adapter for an object of class '`Gen Metric Rule`'
`org.eclipse.emf.common.notify.Adapter` `createGenNavigatorAdapter()` Creates a new adapter for an object of class '`Gen Navigator`'
`org.eclipse.emf.common.notify.Adapter` `createGenNavigatorChildReferenceAdapter()` Creates a new adapter for an object of class '`Gen Navigator Child Reference`'
`org.eclipse.emf.common.notify.Adapter` `createGenNavigatorPathAdapter()` Creates a new adapter for an object of class '`Gen Navigator Path`'
`org.eclipse.emf.common.notify.Adapter` `createGenNavigatorPathSegmentAdapter()` Creates a new adapter for an object of class '`Gen Navigator Path Segment`'
`org.eclipse.emf.common.notify.Adapter` `createGenNodeAdapter()` Creates a new adapter for an object of class '`Gen Node`'
`org.eclipse.emf.common.notify.Adapter` `createGenNodeLabelAdapter()` Creates a new adapter for an object of class '`Gen Node Label`'
`org.eclipse.emf.common.notify.Adapter` `createGenNotationElementTargetAdapter()` Creates a new adapter for an object of class '`Gen Notation Element Target`'
`org.eclipse.emf.common.notify.Adapter` `createGenPluginAdapter()` Creates a new adapter for an object of class '`Gen Plugin`'
`org.eclipse.emf.common.notify.Adapter` `createGenPreferencePageAdapter()` Creates a new adapter for an object of class '`Gen Preference Page`'
`org.eclipse.emf.common.notify.Adapter` `createGenPropertySheetAdapter()` Creates a new adapter for an object of class '`Gen Property Sheet`'
`org.eclipse.emf.common.notify.Adapter` `createGenPropertyTabAdapter()` Creates a new adapter for an object of class '`Gen Property Tab`'
`org.eclipse.emf.common.notify.Adapter` `createGenPropertyTabFilterAdapter()` Creates a new adapter for an object of class '`Gen Property Tab Filter`'
`org.eclipse.emf.common.notify.Adapter` `createGenReferenceNewElementSpecAdapter()` Creates a new adapter for an object of class '`Gen Reference New Element Spec`'
`org.eclipse.emf.common.notify.Adapter` `createGenRGBColorAdapter()` Creates a new adapter for an object of class '`Gen RGB Color`'
`org.eclipse.emf.common.notify.Adapter` `createGenRuleBaseAdapter()` Creates a new adapter for an object of class '`Gen Rule Base`'
`org.eclipse.emf.common.notify.Adapter` `createGenRuleTargetAdapter()` Creates a new adapter for an object of class '`Gen Rule Target`'
`org.eclipse.emf.common.notify.Adapter` `createGenSeparatorAdapter()` Creates a new adapter for an object of class '`Gen Separator`'
`org.eclipse.emf.common.notify.Adapter` `createGenSharedContributionItemAdapter()` Creates a new adapter for an object of class '`Gen Shared Contribution Item`'
`org.eclipse.emf.common.notify.Adapter` `createGenStandardFontAdapter()` Creates a new adapter for an object of class '`Gen Standard Font`'
`org.eclipse.emf.common.notify.Adapter` `createGenStandardPreferencePageAdapter()` Creates a new adapter for an object of class '`Gen Standard Preference Page`'
`org.eclipse.emf.common.notify.Adapter` `createGenStandardPropertyTabAdapter()` Creates a new adapter for an object of class '`Gen Standard Property Tab`'
`org.eclipse.emf.common.notify.Adapter` `createGenToolBarManagerAdapter()` Creates a new adapter for an object of class '`Gen Tool Bar Manager`'
`org.eclipse.emf.common.notify.Adapter` `createGenTopLevelNodeAdapter()` Creates a new adapter for an object of class '`Gen Top Level Node`'
`org.eclipse.emf.common.notify.Adapter` `createInnerClassViewmapAdapter()` Creates a new adapter for an object of class '`Inner Class Viewmap`'
`org.eclipse.emf.common.notify.Adapter` `createLabelModelFacetAdapter()` Creates a new adapter for an object of class '`Label Model Facet`'
`org.eclipse.emf.common.notify.Adapter` `createLabelOffsetAttributesAdapter()` Creates a new adapter for an object of class '`Label Offset Attributes`'
`org.eclipse.emf.common.notify.Adapter` `createLinkConstraintsAdapter()` Creates a new adapter for an object of class '`Link Constraints`'
`org.eclipse.emf.common.notify.Adapter` `createLinkModelFacetAdapter()` Creates a new adapter for an object of class '`Link Model Facet`'
`org.eclipse.emf.common.notify.Adapter` `createMeasurementUnitAdapter()` Creates a new adapter for an object of class '`Measurement Unit`'
`org.eclipse.emf.common.notify.Adapter` `createMetamodelTypeAdapter()` Creates a new adapter for an object of class '`Metamodel Type`'
`org.eclipse.emf.common.notify.Adapter` `createModelFacetAdapter()` Creates a new adapter for an object of class '`Model Facet`'
`org.eclipse.emf.common.notify.Adapter` `createNotationTypeAdapter()` Creates a new adapter for an object of class '`Notation Type`'
`org.eclipse.emf.common.notify.Adapter` `createOpenDiagramBehaviourAdapter()` Creates a new adapter for an object of class '`Open Diagram Behaviour`'
`org.eclipse.emf.common.notify.Adapter` `createPackageNamesAdapter()` Creates a new adapter for an object of class '`Package Names`'
`org.eclipse.emf.common.notify.Adapter` `createPaletteAdapter()` Creates a new adapter for an object of class '`Palette`'
`org.eclipse.emf.common.notify.Adapter` `createParentAssignedViewmapAdapter()` Creates a new adapter for an object of class '`Parent Assigned Viewmap`'
`org.eclipse.emf.common.notify.Adapter` `createProviderClassNamesAdapter()` Creates a new adapter for an object of class '`Provider Class Names`'
`org.eclipse.emf.common.notify.Adapter` `createResizeConstraintsAdapter()` Creates a new adapter for an object of class '`Resize Constraints`'
`org.eclipse.emf.common.notify.Adapter` `createSeparatorAdapter()` Creates a new adapter for an object of class '`Separator`'
`org.eclipse.emf.common.notify.Adapter` `createSharedBehaviourAdapter()` Creates a new adapter for an object of class '`Shared Behaviour`'
`org.eclipse.emf.common.notify.Adapter` `createShortcutsAdapter()` Creates a new adapter for an object of class '`Shortcuts`'
`org.eclipse.emf.common.notify.Adapter` `createSnippetViewmapAdapter()` Creates a new adapter for an object of class '`Snippet Viewmap`'
`org.eclipse.emf.common.notify.Adapter` `createSpecializationTypeAdapter()` Creates a new adapter for an object of class '`Specialization Type`'
`org.eclipse.emf.common.notify.Adapter` `createStandardEntryAdapter()` Creates a new adapter for an object of class '`Standard Entry`'
`org.eclipse.emf.common.notify.Adapter` `createStyleAttributesAdapter()` Creates a new adapter for an object of class '`Style Attributes`'
`org.eclipse.emf.common.notify.Adapter` `createToolEntryAdapter()` Creates a new adapter for an object of class '`Tool Entry`'
`org.eclipse.emf.common.notify.Adapter` `createToolGroupAdapter()` Creates a new adapter for an object of class '`Tool Group`'
`org.eclipse.emf.common.notify.Adapter` `createToolGroupItemAdapter()` Creates a new adapter for an object of class '`Tool Group Item`'
`org.eclipse.emf.common.notify.Adapter` `createTypeLinkModelFacetAdapter()` Creates a new adapter for an object of class '`Type Link Model Facet`'
`org.eclipse.emf.common.notify.Adapter` `createTypeModelFacetAdapter()` Creates a new adapter for an object of class '`Type Model Facet`'
`org.eclipse.emf.common.notify.Adapter` `createTypeTabFilterAdapter()` Creates a new adapter for an object of class '`Type Tab Filter`'
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionAdapter()` Creates a new adapter for an object of class '`Value Expression`'
`org.eclipse.emf.common.notify.Adapter` `createViewmapAdapter()` Creates a new adapter for an object of class '`Viewmap`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFGenPackage modelPackage

  The cached model package.

  ** Generated **

### modelSwitch

    protected GMFGenSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch the delegates to the `createXXX` methods.

  ** Generated **

Constructor Detail

### GMFGenAdapterFactory

    public GMFGenAdapterFactory()

  Creates an instance of the adapter factory.

  ** Generated **

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  ** Generated **

### createGenEditorGeneratorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEditorGeneratorAdapter()

  Creates a new adapter for an object of class '`Gen Editor Generator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEditorGenerator`
  ** Generated **

### createGenDiagramAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDiagramAdapter()

  Creates a new adapter for an object of class '`Gen Diagram`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDiagram`
  ** Generated **

### createGenEditorViewAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEditorViewAdapter()

  Creates a new adapter for an object of class '`Gen Editor View`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEditorView`
  ** Generated **

### createGenPreferencePageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPreferencePageAdapter()

  Creates a new adapter for an object of class '`Gen Preference Page`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPreferencePage`
  ** Generated **

### createGenCustomPreferencePageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCustomPreferencePageAdapter()

  Creates a new adapter for an object of class '`Gen Custom Preference Page`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenCustomPreferencePage`
  ** Generated **

### createGenStandardPreferencePageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenStandardPreferencePageAdapter()

  Creates a new adapter for an object of class '`Gen Standard Preference Page`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenStandardPreferencePage`
  ** Generated **

### createGenDiagramPreferencesAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDiagramPreferencesAdapter()

  Creates a new adapter for an object of class '`Gen Diagram Preferences`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDiagramPreferences`
  ** Generated **

### createGenFontAdapter

    public org.eclipse.emf.common.notify.Adapter createGenFontAdapter()

  Creates a new adapter for an object of class '`Gen Font`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFont`
  ** Generated **

### createGenStandardFontAdapter

    public org.eclipse.emf.common.notify.Adapter createGenStandardFontAdapter()

  Creates a new adapter for an object of class '`Gen Standard Font`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenStandardFont`
  ** Generated **

### createGenCustomFontAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCustomFontAdapter()

  Creates a new adapter for an object of class '`Gen Custom Font`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenCustomFont`
  ** Generated **

### createGenColorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenColorAdapter()

  Creates a new adapter for an object of class '`Gen Color`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenColor`
  ** Generated **

### createGenRGBColorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenRGBColorAdapter()

  Creates a new adapter for an object of class '`Gen RGB Color`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenRGBColor`
  ** Generated **

### createGenConstantColorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenConstantColorAdapter()

  Creates a new adapter for an object of class '`Gen Constant Color`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenConstantColor`
  ** Generated **

### createBatchValidationAdapter

    public org.eclipse.emf.common.notify.Adapter createBatchValidationAdapter()

  Creates a new adapter for an object of class '`Batch Validation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BatchValidation`
  ** Generated **

### createProviderClassNamesAdapter

    public org.eclipse.emf.common.notify.Adapter createProviderClassNamesAdapter()

  Creates a new adapter for an object of class '`Provider Class Names`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProviderClassNames`
  ** Generated **

### createShortcutsAdapter

    public org.eclipse.emf.common.notify.Adapter createShortcutsAdapter()

  Creates a new adapter for an object of class '`Shortcuts`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Shortcuts`
  ** Generated **

### createPackageNamesAdapter

    public org.eclipse.emf.common.notify.Adapter createPackageNamesAdapter()

  Creates a new adapter for an object of class '`Package Names`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PackageNames`
  ** Generated **

### createLinkConstraintsAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkConstraintsAdapter()

  Creates a new adapter for an object of class '`Link Constraints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkConstraints`
  ** Generated **

### createEditorCandiesAdapter

    public org.eclipse.emf.common.notify.Adapter createEditorCandiesAdapter()

  Creates a new adapter for an object of class '`Editor Candies`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EditorCandies`
  ** Generated **

### createEditPartCandiesAdapter

    public org.eclipse.emf.common.notify.Adapter createEditPartCandiesAdapter()

  Creates a new adapter for an object of class '`Edit Part Candies`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EditPartCandies`
  ** Generated **

### createMeasurementUnitAdapter

    public org.eclipse.emf.common.notify.Adapter createMeasurementUnitAdapter()

  Creates a new adapter for an object of class '`Measurement Unit`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MeasurementUnit`
  ** Generated **

### createGenDiagramUpdaterAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDiagramUpdaterAdapter()

  Creates a new adapter for an object of class '`Gen Diagram Updater`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDiagramUpdater`
  ** Generated **

### createGenPluginAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPluginAdapter()

  Creates a new adapter for an object of class '`Gen Plugin`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPlugin`
  ** Generated **

### createElementTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createElementTypeAdapter()

  Creates a new adapter for an object of class '`Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementType`
  ** Generated **

### createMetamodelTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createMetamodelTypeAdapter()

  Creates a new adapter for an object of class '`Metamodel Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MetamodelType`
  ** Generated **

### createSpecializationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSpecializationTypeAdapter()

  Creates a new adapter for an object of class '`Specialization Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SpecializationType`
  ** Generated **

### createNotationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createNotationTypeAdapter()

  Creates a new adapter for an object of class '`Notation Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NotationType`
  ** Generated **

### createGenCommonBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCommonBaseAdapter()

  Creates a new adapter for an object of class '`Gen Common Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenCommonBase`
  ** Generated **

### createBehaviourAdapter

    public org.eclipse.emf.common.notify.Adapter createBehaviourAdapter()

  Creates a new adapter for an object of class '`Behaviour`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Behaviour`
  ** Generated **

### createCustomBehaviourAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomBehaviourAdapter()

  Creates a new adapter for an object of class '`Custom Behaviour`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomBehaviour`
  ** Generated **

### createSharedBehaviourAdapter

    public org.eclipse.emf.common.notify.Adapter createSharedBehaviourAdapter()

  Creates a new adapter for an object of class '`Shared Behaviour`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SharedBehaviour`
  ** Generated **

### createOpenDiagramBehaviourAdapter

    public org.eclipse.emf.common.notify.Adapter createOpenDiagramBehaviourAdapter()

  Creates a new adapter for an object of class '`Open Diagram Behaviour`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OpenDiagramBehaviour`
  ** Generated **

### createGenContainerBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createGenContainerBaseAdapter()

  Creates a new adapter for an object of class '`Gen Container Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenContainerBase`
  ** Generated **

### createGenNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNodeAdapter()

  Creates a new adapter for an object of class '`Gen Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNode`
  ** Generated **

### createGenTopLevelNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenTopLevelNodeAdapter()

  Creates a new adapter for an object of class '`Gen Top Level Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenTopLevelNode`
  ** Generated **

### createGenChildNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenChildNodeAdapter()

  Creates a new adapter for an object of class '`Gen Child Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenChildNode`
  ** Generated **

### createGenChildSideAffixedNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenChildSideAffixedNodeAdapter()

  Creates a new adapter for an object of class '`Gen Child Side Affixed Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenChildSideAffixedNode`
  ** Generated **

### createGenChildLabelNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenChildLabelNodeAdapter()

  Creates a new adapter for an object of class '`Gen Child Label Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenChildLabelNode`
  ** Generated **

### createGenCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCompartmentAdapter()

  Creates a new adapter for an object of class '`Gen Compartment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenCompartment`
  ** Generated **

### createGenChildContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenChildContainerAdapter()

  Creates a new adapter for an object of class '`Gen Child Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenChildContainer`
  ** Generated **

### createGenLinkAdapter

    public org.eclipse.emf.common.notify.Adapter createGenLinkAdapter()

  Creates a new adapter for an object of class '`Gen Link`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenLink`
  ** Generated **

### createGenLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenLabelAdapter()

  Creates a new adapter for an object of class '`Gen Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenLabel`
  ** Generated **

### createGenNodeLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNodeLabelAdapter()

  Creates a new adapter for an object of class '`Gen Node Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNodeLabel`
  ** Generated **

### createGenExternalNodeLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenExternalNodeLabelAdapter()

  Creates a new adapter for an object of class '`Gen External Node Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenExternalNodeLabel`
  ** Generated **

### createGenLinkLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenLinkLabelAdapter()

  Creates a new adapter for an object of class '`Gen Link Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenLinkLabel`
  ** Generated **

### createModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createModelFacetAdapter()

  Creates a new adapter for an object of class '`Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ModelFacet`
  ** Generated **

### createLinkModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkModelFacetAdapter()

  Creates a new adapter for an object of class '`Link Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkModelFacet`
  ** Generated **

### createLabelModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelModelFacetAdapter()

  Creates a new adapter for an object of class '`Label Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LabelModelFacet`
  ** Generated **

### createTypeModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createTypeModelFacetAdapter()

  Creates a new adapter for an object of class '`Type Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeModelFacet`
  ** Generated **

### createFeatureLabelModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureLabelModelFacetAdapter()

  Creates a new adapter for an object of class '`Feature Label Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureLabelModelFacet`
  ** Generated **

### createDesignLabelModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createDesignLabelModelFacetAdapter()

  Creates a new adapter for an object of class '`Design Label Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DesignLabelModelFacet`
  ** Generated **

### createTypeLinkModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createTypeLinkModelFacetAdapter()

  Creates a new adapter for an object of class '`Type Link Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeLinkModelFacet`
  ** Generated **

### createFeatureLinkModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureLinkModelFacetAdapter()

  Creates a new adapter for an object of class '`Feature Link Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureLinkModelFacet`
  ** Generated **

### createViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createViewmapAdapter()

  Creates a new adapter for an object of class '`Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Viewmap`
  ** Generated **

### createAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributesAdapter()

  Creates a new adapter for an object of class '`Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Attributes`
  ** Generated **

### createColorAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createColorAttributesAdapter()

  Creates a new adapter for an object of class '`Color Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ColorAttributes`
  ** Generated **

### createStyleAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createStyleAttributesAdapter()

  Creates a new adapter for an object of class '`Style Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StyleAttributes`
  ** Generated **

### createResizeConstraintsAdapter

    public org.eclipse.emf.common.notify.Adapter createResizeConstraintsAdapter()

  Creates a new adapter for an object of class '`Resize Constraints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResizeConstraints`
  ** Generated **

### createDefaultSizeAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createDefaultSizeAttributesAdapter()

  Creates a new adapter for an object of class '`Default Size Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefaultSizeAttributes`
  ** Generated **

### createLabelOffsetAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelOffsetAttributesAdapter()

  Creates a new adapter for an object of class '`Label Offset Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LabelOffsetAttributes`
  ** Generated **

### createFigureViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureViewmapAdapter()

  Creates a new adapter for an object of class '`Figure Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FigureViewmap`
  ** Generated **

### createSnippetViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createSnippetViewmapAdapter()

  Creates a new adapter for an object of class '`Snippet Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SnippetViewmap`
  ** Generated **

### createInnerClassViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createInnerClassViewmapAdapter()

  Creates a new adapter for an object of class '`Inner Class Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InnerClassViewmap`
  ** Generated **

### createParentAssignedViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createParentAssignedViewmapAdapter()

  Creates a new adapter for an object of class '`Parent Assigned Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ParentAssignedViewmap`
  ** Generated **

### createPaletteAdapter

    public org.eclipse.emf.common.notify.Adapter createPaletteAdapter()

  Creates a new adapter for an object of class '`Palette`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Palette`
  ** Generated **

### createEntryBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createEntryBaseAdapter()

  Creates a new adapter for an object of class '`Entry Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EntryBase`
  ** Generated **

### createAbstractToolEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractToolEntryAdapter()

  Creates a new adapter for an object of class '`Abstract Tool Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AbstractToolEntry`
  ** Generated **

### createToolEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createToolEntryAdapter()

  Creates a new adapter for an object of class '`Tool Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolEntry`
  ** Generated **

### createStandardEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createStandardEntryAdapter()

  Creates a new adapter for an object of class '`Standard Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StandardEntry`
  ** Generated **

### createToolGroupItemAdapter

    public org.eclipse.emf.common.notify.Adapter createToolGroupItemAdapter()

  Creates a new adapter for an object of class '`Tool Group Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolGroupItem`
  ** Generated **

### createSeparatorAdapter

    public org.eclipse.emf.common.notify.Adapter createSeparatorAdapter()

  Creates a new adapter for an object of class '`Separator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Separator`
  ** Generated **

### createToolGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createToolGroupAdapter()

  Creates a new adapter for an object of class '`Tool Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolGroup`
  ** Generated **

### createGenElementInitializerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenElementInitializerAdapter()

  Creates a new adapter for an object of class '`Gen Element Initializer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenElementInitializer`
  ** Generated **

### createGenFeatureSeqInitializerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenFeatureSeqInitializerAdapter()

  Creates a new adapter for an object of class '`Gen Feature Seq Initializer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFeatureSeqInitializer`
  ** Generated **

### createGenFeatureValueSpecAdapter

    public org.eclipse.emf.common.notify.Adapter createGenFeatureValueSpecAdapter()

  Creates a new adapter for an object of class '`Gen Feature Value Spec`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFeatureValueSpec`
  ** Generated **

### createGenReferenceNewElementSpecAdapter

    public org.eclipse.emf.common.notify.Adapter createGenReferenceNewElementSpecAdapter()

  Creates a new adapter for an object of class '`Gen Reference New Element Spec`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenReferenceNewElementSpec`
  ** Generated **

### createGenFeatureInitializerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenFeatureInitializerAdapter()

  Creates a new adapter for an object of class '`Gen Feature Initializer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFeatureInitializer`
  ** Generated **

### createGenLinkConstraintsAdapter

    public org.eclipse.emf.common.notify.Adapter createGenLinkConstraintsAdapter()

  Creates a new adapter for an object of class '`Gen Link Constraints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenLinkConstraints`
  ** Generated **

### createGenAuditRootAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditRootAdapter()

  Creates a new adapter for an object of class '`Gen Audit Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditRoot`
  ** Generated **

### createGenAuditContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditContainerAdapter()

  Creates a new adapter for an object of class '`Gen Audit Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditContainer`
  ** Generated **

### createGenAuditRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditRuleAdapter()

  Creates a new adapter for an object of class '`Gen Audit Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditRule`
  ** Generated **

### createGenRuleTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenRuleTargetAdapter()

  Creates a new adapter for an object of class '`Gen Rule Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenRuleTarget`
  ** Generated **

### createGenDomainElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDomainElementTargetAdapter()

  Creates a new adapter for an object of class '`Gen Domain Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDomainElementTarget`
  ** Generated **

### createGenDiagramElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDiagramElementTargetAdapter()

  Creates a new adapter for an object of class '`Gen Diagram Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDiagramElementTarget`
  ** Generated **

### createGenDomainAttributeTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDomainAttributeTargetAdapter()

  Creates a new adapter for an object of class '`Gen Domain Attribute Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDomainAttributeTarget`
  ** Generated **

### createGenNotationElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNotationElementTargetAdapter()

  Creates a new adapter for an object of class '`Gen Notation Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNotationElementTarget`
  ** Generated **

### createGenMetricContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenMetricContainerAdapter()

  Creates a new adapter for an object of class '`Gen Metric Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenMetricContainer`
  ** Generated **

### createGenMetricRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createGenMetricRuleAdapter()

  Creates a new adapter for an object of class '`Gen Metric Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenMetricRule`
  ** Generated **

### createGenAuditedMetricTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditedMetricTargetAdapter()

  Creates a new adapter for an object of class '`Gen Audited Metric Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditedMetricTarget`
  ** Generated **

### createGenAuditableAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditableAdapter()

  Creates a new adapter for an object of class '`Gen Auditable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditable`
  ** Generated **

### createGenMeasurableAdapter

    public org.eclipse.emf.common.notify.Adapter createGenMeasurableAdapter()

  Creates a new adapter for an object of class '`Gen Measurable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenMeasurable`
  ** Generated **

### createGenExpressionProviderContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenExpressionProviderContainerAdapter()

  Creates a new adapter for an object of class '`Gen Expression Provider Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenExpressionProviderContainer`
  ** Generated **

### createGenExpressionProviderBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createGenExpressionProviderBaseAdapter()

  Creates a new adapter for an object of class '`Gen Expression Provider Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenExpressionProviderBase`
  ** Generated **

### createGenJavaExpressionProviderAdapter

    public org.eclipse.emf.common.notify.Adapter createGenJavaExpressionProviderAdapter()

  Creates a new adapter for an object of class '`Gen Java Expression Provider`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenJavaExpressionProvider`
  ** Generated **

### createGenExpressionInterpreterAdapter

    public org.eclipse.emf.common.notify.Adapter createGenExpressionInterpreterAdapter()

  Creates a new adapter for an object of class '`Gen Expression Interpreter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenExpressionInterpreter`
  ** Generated **

### createGenDomainModelNavigatorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDomainModelNavigatorAdapter()

  Creates a new adapter for an object of class '`Gen Domain Model Navigator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDomainModelNavigator`
  ** Generated **

### createGenNavigatorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNavigatorAdapter()

  Creates a new adapter for an object of class '`Gen Navigator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNavigator`
  ** Generated **

### createGenNavigatorChildReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNavigatorChildReferenceAdapter()

  Creates a new adapter for an object of class '`Gen Navigator Child Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNavigatorChildReference`
  ** Generated **

### createGenNavigatorPathAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNavigatorPathAdapter()

  Creates a new adapter for an object of class '`Gen Navigator Path`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNavigatorPath`
  ** Generated **

### createGenNavigatorPathSegmentAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNavigatorPathSegmentAdapter()

  Creates a new adapter for an object of class '`Gen Navigator Path Segment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNavigatorPathSegment`
  ** Generated **

### createGenPropertySheetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPropertySheetAdapter()

  Creates a new adapter for an object of class '`Gen Property Sheet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPropertySheet`
  ** Generated **

### createGenPropertyTabAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPropertyTabAdapter()

  Creates a new adapter for an object of class '`Gen Property Tab`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPropertyTab`
  ** Generated **

### createGenStandardPropertyTabAdapter

    public org.eclipse.emf.common.notify.Adapter createGenStandardPropertyTabAdapter()

  Creates a new adapter for an object of class '`Gen Standard Property Tab`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenStandardPropertyTab`
  ** Generated **

### createGenCustomPropertyTabAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCustomPropertyTabAdapter()

  Creates a new adapter for an object of class '`Gen Custom Property Tab`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenCustomPropertyTab`
  ** Generated **

### createGenPropertyTabFilterAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPropertyTabFilterAdapter()

  Creates a new adapter for an object of class '`Gen Property Tab Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPropertyTabFilter`
  ** Generated **

### createTypeTabFilterAdapter

    public org.eclipse.emf.common.notify.Adapter createTypeTabFilterAdapter()

  Creates a new adapter for an object of class '`Type Tab Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeTabFilter`
  ** Generated **

### createCustomTabFilterAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomTabFilterAdapter()

  Creates a new adapter for an object of class '`Custom Tab Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomTabFilter`
  ** Generated **

### createGenContributionItemAdapter

    public org.eclipse.emf.common.notify.Adapter createGenContributionItemAdapter()

  Creates a new adapter for an object of class '`Gen Contribution Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenContributionItem`
  ** Generated **

### createGenSharedContributionItemAdapter

    public org.eclipse.emf.common.notify.Adapter createGenSharedContributionItemAdapter()

  Creates a new adapter for an object of class '`Gen Shared Contribution Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenSharedContributionItem`
  ** Generated **

### createGenGroupMarkerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenGroupMarkerAdapter()

  Creates a new adapter for an object of class '`Gen Group Marker`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenGroupMarker`
  ** Generated **

### createGenSeparatorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenSeparatorAdapter()

  Creates a new adapter for an object of class '`Gen Separator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenSeparator`
  ** Generated **

### createGenActionFactoryContributionItemAdapter

    public org.eclipse.emf.common.notify.Adapter createGenActionFactoryContributionItemAdapter()

  Creates a new adapter for an object of class '`Gen Action Factory Contribution Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenActionFactoryContributionItem`
  ** Generated **

### createGenContributionManagerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenContributionManagerAdapter()

  Creates a new adapter for an object of class '`Gen Contribution Manager`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenContributionManager`
  ** Generated **

### createGenMenuManagerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenMenuManagerAdapter()

  Creates a new adapter for an object of class '`Gen Menu Manager`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenMenuManager`
  ** Generated **

### createGenToolBarManagerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenToolBarManagerAdapter()

  Creates a new adapter for an object of class '`Gen Tool Bar Manager`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenToolBarManager`
  ** Generated **

### createGenApplicationAdapter

    public org.eclipse.emf.common.notify.Adapter createGenApplicationAdapter()

  Creates a new adapter for an object of class '`Gen Application`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenApplication`
  ** Generated **

### createGenRuleBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createGenRuleBaseAdapter()

  Creates a new adapter for an object of class '`Gen Rule Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenRuleBase`
  ** Generated **

### createValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionAdapter()

  Creates a new adapter for an object of class '`Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpression`
  ** Generated **

### createGenConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createGenConstraintAdapter()

  Creates a new adapter for an object of class '`Gen Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenConstraint`
  ** Generated **

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.